VARKON Version 1.15 1997-10-24

> ## group - Geometric procedure

> Creates a group
> Description
> Associates a text with one or more entities. A group can be used to add an attribute to a single entity or to collect a number of entities under a common name.
> Syntax
> group(id, name, ref1, refn:attributes);

> REF | id;
> STRING | name*20;
> REF | ref1;
> REF | refn;

> Principal parameters

> id | - Local identity
> name | - User defined name
> ref1 | - Identity of first member

> Optional parameters

> refn | - Identity of additional members

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)

> Example
> group(#5,"Steel",#2);
> Adds the text attribute "Steel" to #2.
> group(#10,"Walls",#1,#2,#3,#4,#5);
> Collects #1 to #5 in a common group with name = "Walls".
> Comments
> A group can hold up to 100 members including parts and other groups. A single entity can only be a member of maximum 3 different groups.

VARKON Homepage | Index